%define nicename OpenRocket

Name: openrocket
Summary: OpenRocket is an free, fully featured model rocket simulator
Version: 1.1.8
Release: %mkrel 1
Group: Development/Other
License: GPL
URL: http://openrocket.sourceforge.net/
Source0: %{name}-%{version}.tar.xz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-root
Requires: java-1.6.0-sun


%description
OpenRocket is an free, fully featured model rocket simulator
that allows you to design and simulate your rockets before
actually building and flying them.

OpenRocket features a full six-degree-of-freedom simulation,
realistic wind modeling, a multitude of different components
including free-form fins and canted fins, clustering and staging


%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir %{buildroot}

install -dm755 %{buildroot}%{_datadir}/%{name}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/%{nicename}-%{version}.jar %{buildroot}%{_datadir}/%{name}/

# Desktop entry
install -dm755 %{buildroot}%{_datadir}/applications 
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=java -jar %{_datadir}/%{name}/%{nicename}-%{version}.jar
Icon=%{name}
Terminal=false
Name=%{nicename}
Comment=%{Summary}
Categories=X-MandrivaLinux-MoreApplications-Sciences-DataVisualization; 
EOF

# Icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,256x256}/apps
for i in 16 32 48 64 256; do \
install -m 0644 icon-$i.png %{buildroot}%{_iconsdir}/hicolor/$i\x$i/apps/%{name}.png; \
done

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps


%clean
rm -rf %{buildroot}

%post
%update_icon_cache hicolor
%update_menus
%update_desktop_database

%postun
%clean_icon_cache hicolor
%clean_menus
%clean_desktop_database


%files
%defattr(-,root,root)
%{_datadir}


%changelog
* Sun Sep 11 2011 Texstar <texstar at gmail.com> 1.1.8-1pclos2011
- 1.1.8

* Sun Feb 27 2011 Texstar <texstar at gmail.com> 1.1.3-1pclos2011
- fix rpm group to Development/Other
- add pixmap icon 

* Sun Feb 27 2011 MBantz <martin dot bantz at gmail dot com> 1.1.3-1pclos2011
- Initial build for PCLinuxOS

